package lts

type CTRequest struct {
	Method      string
	ContentType string
	Uri         string
	UriParam    map[string]string
	QueryParam  string
	HeaderParam map[string]string
	BodyByteArr []byte
	BodyParam   string
	Body        map[string]string
	FileMap     map[string]string
}

func (CTRequest *CTRequest) CTRequest(method, contentType, uri string) {
	CTRequest.Method = method
	CTRequest.ContentType = contentType
	CTRequest.Uri = uri
}

func (CTRequest *CTRequest) GetMethod() string {
	return CTRequest.Method
}

func (CTRequest *CTRequest) SetMethod(method string) {
	CTRequest.Method = method
}

func (CTRequest *CTRequest) GetContentType() string {
	return CTRequest.ContentType
}

func (CTRequest *CTRequest) SetContentType(contentType string) {
	CTRequest.ContentType = contentType
}

func (CTRequest *CTRequest) GetUri() string {
	return CTRequest.Uri
}

func (CTRequest *CTRequest) SetUri(uri string) {
	CTRequest.Uri = uri
}

func (CTRequest *CTRequest) GetUriParam() map[string]string {
	return CTRequest.UriParam
}

func (CTRequest *CTRequest) SetUriParam(uriParam map[string]string) {
	CTRequest.UriParam = uriParam
}

func (CTRequest *CTRequest) GetQueryParam() string {
	return CTRequest.QueryParam
}

func (CTRequest *CTRequest) SetQueryParam(queryParam string) {
	CTRequest.QueryParam = queryParam
}

func (CTRequest *CTRequest) GetHeaderParam() map[string]string {
	return CTRequest.HeaderParam
}

func (CTRequest *CTRequest) SetHeaderParam(headerParam map[string]string) {
	CTRequest.HeaderParam = headerParam
}

func (CTRequest *CTRequest) GetBodyByteArr() []byte {
	return CTRequest.BodyByteArr
}

func (CTRequest *CTRequest) SetBodyByteArr(bodyByteArr []byte) {
	CTRequest.BodyByteArr = bodyByteArr
}

func (CTRequest *CTRequest) GetBodyParam() string {
	return CTRequest.BodyParam
}

func (CTRequest *CTRequest) SetBodyParam(bodyParam string) {
	CTRequest.BodyParam = bodyParam
}

func (CTRequest *CTRequest) GetBody() map[string]string {
	return CTRequest.Body
}

func (CTRequest *CTRequest) SetBody(body map[string]string) {
	CTRequest.Body = body
}

func (CTRequest *CTRequest) GetFileMap() map[string]string {
	return CTRequest.FileMap
}

func (CTRequest *CTRequest) SetFileMap(fileMap map[string]string) {
	CTRequest.FileMap = fileMap
}
